apiVersion: org.eclipse.che/v1
kind: CheCluster
metadata:
  creationTimestamp: '2019-11-22T13:39:30Z'
  generation: 13
  name: codeready-workspaces
  namespace: crw2-upstream-tests-pipeline
  resourceVersion: '814720'
  selfLink: >-
    /apis/org.eclipse.che/v1/namespaces/crw2-upstream-tests-pipeline/checlusters/codeready-workspaces
  uid: 82730e84-0d2d-11ea-8b7b-fa163ecc1899
spec:
  auth:
    externalIdentityProvider: false
    identityProviderAdminUserName: admin
    identityProviderClientId: codeready-public
    identityProviderPassword: admin
    identityProviderPostgresPassword: KV2tBSYDCcOM
    identityProviderRealm: codeready
    identityProviderURL: 'http://keycloak-crw2-upstream-tests-pipeline.apps.ocp311-2.crw'
    openShiftoAuth: false
    updateAdminPassword: false
  database:
    chePostgresDb: dbche
    chePostgresHostName: postgres
    chePostgresPassword: beuJHYMYX9kF
    chePostgresPort: '5432'
    chePostgresUser: pgche
    externalDb: false
  k8s: {}
  server:
    cheDebug: 'false'
    cheFlavor: codeready
    cheHost: codeready-crw2-upstream-tests-pipeline.apps.ocp311-2.crw
    cheImage: quay.io/crw/server-rhel8
    cheImageTag: 2.0-395
    cheLogLevel: INFO
    customCheProperties:
      CHE_LIMITS_USER_WORKSPACES_RUN_COUNT: '-1'
      CHE_SERVER_SECURE__EXPOSER_JWTPROXY_IMAGE: 'quay.io/crw/jwtproxy-rhel8:2.0-6'
      CHE_WORKSPACE_PLUGIN__BROKER_INIT_IMAGE: 'quay.io/crw/pluginbrokerinit-rhel8:2.0-7'
      CHE_WORKSPACE_PLUGIN__BROKER_UNIFIED_IMAGE: 'quay.io/crw/pluginbroker-rhel8:2.0-6'
      CHE_WORKSPACE_SIDECAR_IMAGE__PULL__POLICY: Always
    devfileRegistryImage: 'quay.io/crw/devfileregistry-rhel8:2.0-174'
    externalDevfileRegistry: false
    externalPluginRegistry: false
    pluginRegistryImage: 'quay.io/crw/pluginregistry-rhel8:2.0-228'
    selfSignedCert: false
    tlsSupport: false
  storage:
    preCreateSubPaths: true
    pvcClaimSize: 1Gi
    pvcStrategy: per-workspace
status:
  cheClusterRunning: Available
  cheURL: 'http://codeready-crw2-upstream-tests-pipeline.apps.ocp311-2.crw'
  cheVersion: 2.0-395
  dbProvisioned: true
  devfileRegistryURL: 'http://devfile-registry-crw2-upstream-tests-pipeline.apps.ocp311-2.crw'
  keycloakProvisioned: true
  keycloakURL: 'http://keycloak-crw2-upstream-tests-pipeline.apps.ocp311-2.crw'
  openShiftoAuthProvisioned: false
  pluginRegistryURL: 'http://plugin-registry-crw2-upstream-tests-pipeline.apps.ocp311-2.crw/v3'

